Subject: Re: bug#27590: artanis has a bundled and customized copy of guile-json package
From: [email-masked] (Ludovic Courtès)
To: Adonay Felipe Nogueira <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Aug 2017 14:34:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Adonay Felipe Nogueira <[email-masked]> skribis:

> The following patch is an attempt to fix this.
>
> I noticed that the '->json-string procedure doesn't exist in the
> official guile-json. I tried checking for it also in multiple revisions,
> but couldn't find it. Due to my lack of understanding on how both GNU
> Artanis and guile-json work internally, I assume however that
> '->json-string was similar to 'scm->json-string.

It seems to be the case.

> From 8ec0eaaa0e552e7d99be369a4251b2577ac927ac Mon Sep 17 00:00:00 2001
> From: Adonay Felipe Nogueira <[email-masked]>
> Date: Fri, 28 Jul 2017 11:18:03 -0300
> Subject: [PATCH] gnu: artanis: Unbundled guile-json and version according to
>  documentation.
>
> * gnu/packages/guile.scm (artanis): Unbundled guile-json and version
> according to documentation.

Awesome.  Applied, thank you!

Ludo’.